As far as I’m aware it’s still working with all current versions of WordPress. I’ve never specifically tried it on WooCommerce, but don’t see why it wouldn’t work there as well.